goLaTeX - Mein LaTeX-Forum

Mein LaTeX-Forum


Login  | Registrieren
Forum
      Option
[Erweitert]
  • Diese Seite weiterempfehlen
     


Gehe zu:  
Neues Thema eröffnen Neue Antwort erstellen

BibLaTeX gibt Fehlermeldungen; Problem mit Packageeinbindung

 

Gast


Beiträge: ---
Anmeldedatum: ---
Wohnort: ---
Version: ---
     Beitrag Verfasst am: 27.03.2017, 17:56     Titel:
  Antworten mit Zitat      
Eigentlich ist der nicht grausig programmiert. Es gibt, wie oben angesprochen, zwei 'Stufen', auf denen Du Pakete installieren kannst, als User (in Dein Benutzerverzeichnis) und als Admin (in das Systemverzeichnis). Je nach Einstellungen kann es sein, dass bei Dir einige Pakete so, andere so installiert wurden. Daher solltest Du den Updater in beiden Versionen laufen lassen und immer nur die bereits ausgewählten Pakete aktualisieren. Wenn es Systemaktualisierungen gibt, kann es sein, dass Du den Updater zwei mal laufen lassen musst, da zunächst nur die Systempakete ausgewählt sind und aktualisiert werden. Wenn Du also den Updater in allen Versionen häufig genug laufen lässt, sollte es klappen.

Deine nun auftretenden Probleme scheinen auf ein Problem mit der Dateicodierung hinzudeuten. Wenn Du überall UTF-8 nutzt, was auf jeden Fall empfohlen ist, dann musst Du bei pdfLaTeX auch inputenc mit der korrekten Option utf8 laden, \usepackage[T1]{fontenc} ist auch angeraten.
Wenn Du die Probleme behoben hast, solltest Du die temporären Dateien .aux, .bcf und .bbl löschen und neu kompilieren.#

Nutze mal origlanguage = "french" statt fromlangfrench. (Eigentlich sollte langfrench bei den meisten Sachen äquivalent sein, hier ist es das aber leider nicht. Ich würde daher empfehlen, das lang immer wegzulassen.)

Johannes_B
Moderator
Moderator


Beiträge: 4858
Anmeldedatum: 01.11.12
Wohnort: ---
Version: ---
     Beitrag Verfasst am: 27.03.2017, 18:34     Titel: Re: Installieren von biber?
  Antworten mit Zitat      
Vollidiot #12 hat Folgendes geschrieben:
Wenn es doch immer so einfach wäre. Man sehe sich mal das Packet picins an, welches der Paketmanager bei mir nicht anständig installiert kriegt - aus welchem Grund auch immer, der Fehler trat bisher nur bei diesem Paket auf.


http://golatex.de/viewtopic,p,91871.html#91871
_________________

TeXwelt - Fragen und Antworten Schaut vorbei und stellt Fragen.
LaTeX-Vorlagen?

Der Weg zum Ziel: Ruhe bewahren und durchatmen, Beiträge und unterstützende Links aufmerksam lesen, Lösungsansätze verstehen und ggf. nachfragen.
Private Nachricht senden Benutzer-Profile anzeigen

DerArbeitenschreiber
Gast

Beiträge: ---
Anmeldedatum: ---
Wohnort: ---
Version: ---
     Beitrag Verfasst am: 27.03.2017, 18:46     Titel: Geschafft!
  Antworten mit Zitat      
Oh, stimmt ja. Ich habe mir noch keine Vorlage mit all den Standardpaketen, die man immer braucht, erstellt. Deswegen kommt das mit dem UTF8 wohl öfters mal wieder in meinen Dokumenten vor.
Ich habe das Paket eingebunden. Aber allein löst das den Fehler noch nicht.

Was das mit dem Update Manager angeht: Ihr habt anscheinend mein Anliegen nicht verstanden. Das Updaten an sich funktioniert einwandfrei. Ich bedanke mich auch für die weiteren informationen bezüglich dem Unterschied Admin-User Updates. Aber ich kann eben nicht bei knapp Hundert oder mehr Packages jedes einzelne anklicken, vorallem nicht in einem derart kleinen Fenster. Es macht für mich überhaupt keinen Sinn, dass "Select All" ausgegraut ist; wofür ist denn der Button gut, wenn er mal funktioniert?

Jedenfalls habe ich auch den Tip in Sachen "origlanguage = "french"" ausprobiert, auch wenn ich das schon in meinen eigenen Tests versucht habe.. und siehe da: Es funktioniert. Also, letztendlich musste man doch auf beide Ideen kommen, um das Problem zu lösen.

Das heißt also: Falls nicht zufällig jemand weiß, wie man alle Packages auf einmal zum Updaten im MikTeX updates auswählt, dann sind wir hier fertig.
Vielen dank für eure Hilfe!

u_fischer
Forum-Meister
Forum-Meister

Beiträge: 3579
Anmeldedatum: 22.11.12
Wohnort: ---
Version: ---
     Beitrag Verfasst am: 27.03.2017, 18:52     Titel: Re: Geschafft!
  Antworten mit Zitat      
DerArbeitenschreiber hat Folgendes geschrieben:
Es macht für mich überhaupt keinen Sinn, dass "Select All" ausgegraut ist; wofür ist denn der Button gut, wenn er mal funktioniert?


Nun, natürlich dafür alles auszuwählen. Aber es kommt immer mal wieder vor, dass miktex dich zwingt, das Update in mehreren Schritten zu machen, weil zuerst ein zentrales Paket aktualisiert werden muss (mehr als zwei hatte ich noch nie, allerdings habe ich keine Multiuserinstallation).
_________________

Ulrike Fischer
www.troubleshooting-tex.de
Private Nachricht senden Benutzer-Profile anzeigen

Neues Thema eröffnen Neue Antwort erstellen Gehe zu Seite Zurück  1, 2



Options and Permissions
Beiträge der letzten Zeit anzeigen:

Du kannst Beiträge in dieses Forum schreiben.
Du kannst auf Beiträge in diesem Forum antworten.
Du kannst deine Beiträge in diesem Forum nicht bearbeiten.
Du kannst deine Beiträge in diesem Forum nicht löschen.
Du kannst an Umfragen in diesem Forum nicht mitmachen.
Du kannst Dateien in diesem Forum nicht posten
Du kannst Dateien in diesem Forum herunterladen
.

goLaTeX ist Teil der goForen
goForen.de goMATLAB.de goLaTeX.de goPCB.de


  Impressum | FAQ | goLaTeX RSS Button RSS-Feed

Copyright © 2008 - 2017 goLaTeX.de